Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JavacErrorDetail

    java.lang.Object
      org.apache.jasper.compiler.JavacErrorDetail

public class JavacErrorDetail
extends java.lang.Object

Class providing details about a javac compilation error.

Author:
  Jan Luehe, Kin-man Chung

Constructor Summary
`JavacErrorDetail(java.lang.String javaFileName, int javaLineNum, java.lang.StringBuffer errMsg)` Constructor.
`JavacErrorDetail(java.lang.String javaFileName, int javaLineNum, java.lang.String jspFileName, int jspBeginLineNum, java.lang.StringBuffer errMsg)` Constructor.

Method Summary
`java.lang.String` | `getErrorMessage()` Gets the compilation error message.
`java.lang.String` | `getJavaFileName()` Gets the name of the Java source file in which the compilation error occurred.
`int` | `getJavaLineNumber()` Gets the compilation error line number.
`int` | `getJspBeginLineNumber()` Gets the start line number (in the JSP file) of the JSP element responsible for the compilation error.
`java.lang.String` | `getJspFileName()` Gets the name of the JSP file from which the Java source file was generated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavacErrorDetail

    public JavacErrorDetail(java.lang.String javaFileName,
                            int javaLineNum,
                            java.lang.StringBuffer errMsg)

  Constructor.

Parameters:
  `javaFileName` - The name of the Java file in which the compilation error occurred
  `javaLineNum` - The compilation error line number
  `errMsg` - The compilation error message

### JavacErrorDetail

    public JavacErrorDetail(java.lang.String javaFileName,
                            int javaLineNum,
                            java.lang.String jspFileName,
                            int jspBeginLineNum,
                            java.lang.StringBuffer errMsg)

  Constructor.

Parameters:
  `javaFileName` - The name of the Java file in which the compilation error occurred
  `javaLineNum` - The compilation error line number
  `jspFileName` - The name of the JSP file from which the Java source file was generated
  `jspBeginLineNum` - The start line number of the JSP element responsible for the compilation error
  `errMsg` - The compilation error message

Method Detail

### getJavaFileName

    public java.lang.String getJavaFileName()

  Gets the name of the Java source file in which the compilation error occurred.

  Returns:
    Java source file name

### getJavaLineNumber

    public int getJavaLineNumber()

  Gets the compilation error line number.

  Returns:
    Compilation error line number

### getJspFileName

    public java.lang.String getJspFileName()

  Gets the name of the JSP file from which the Java source file was generated.

  Returns:
    JSP file from which the Java source file was generated.

### getJspBeginLineNumber

    public int getJspBeginLineNumber()

  Gets the start line number (in the JSP file) of the JSP element responsible for the compilation error.

  Returns:
    Start line number of the JSP element responsible for the compilation error

### getErrorMessage

    public java.lang.String getErrorMessage()

  Gets the compilation error message.

  Returns:
    Compilation error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.